Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Sebastien Fabbro (bicatali)" <bicatali@g.o>
Subject: gentoo-x86 commit in sci-libs/cfitsio: ChangeLog cfitsio-3.060.ebuild
Date: Thu, 24 Jan 2008 15:18:58 +0000
bicatali    08/01/24 15:18:58

  Modified:             ChangeLog cfitsio-3.060.ebuild
  Log:
  Moved smem binary to examples in doc directory (fixing bug #207023). Now supports library versioning
  (Portage version: 2.1.4)

Revision  Changes    Path
1.13                 sci-libs/cfitsio/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-libs/cfitsio/ChangeLog?rev=1.13&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-libs/cfitsio/ChangeLog?rev=1.13&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-libs/cfitsio/ChangeLog?r1=1.12&r2=1.13

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-libs/cfitsio/ChangeLog,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- ChangeLog	10 Sep 2007 20:27:58 -0000	1.12
+++ ChangeLog	24 Jan 2008 15:18:58 -0000	1.13
@@ -1,6 +1,11 @@
 # ChangeLog for sci-libs/cfitsio
-# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sci-libs/cfitsio/ChangeLog,v 1.12 2007/09/10 20:27:58 bicatali Exp $
+# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/sci-libs/cfitsio/ChangeLog,v 1.13 2008/01/24 15:18:58 bicatali Exp $
+
+  24 Jan 2008; S├ębastien Fabbro <bicatali@g.o>
+  files/cfitsio-3.060-autotools.patch, cfitsio-3.060.ebuild:
+  Moved smem binary to examples in doc directory (fixing bug #207023). Now
+  supports library versioning
 
 *cfitsio-3.060 (10 Sep 2007)
 



1.2                  sci-libs/cfitsio/cfitsio-3.060.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-libs/cfitsio/cfitsio-3.060.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-libs/cfitsio/cfitsio-3.060.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-libs/cfitsio/cfitsio-3.060.ebuild?r1=1.1&r2=1.2

Index: cfitsio-3.060.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-libs/cfitsio/cfitsio-3.060.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- cfitsio-3.060.ebuild	10 Sep 2007 20:27:58 -0000	1.1
+++ cfitsio-3.060.ebuild	24 Jan 2008 15:18:58 -0000	1.2
@@ -1,6 +1,6 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sci-libs/cfitsio/cfitsio-3.060.ebuild,v 1.1 2007/09/10 20:27:58 bicatali Exp $
+# $Header: /var/cvsroot/gentoo-x86/sci-libs/cfitsio/cfitsio-3.060.ebuild,v 1.2 2008/01/24 15:18:58 bicatali Exp $
 
 inherit eutils fortran autotools
 
@@ -15,7 +15,7 @@
 
 DEPEND="fortran? ( dev-lang/cfortran )"
 
-S=${WORKDIR}/${PN}
+S="${WORKDIR}/${PN}"
 
 pkg_setup() {
 	if use fortran; then
@@ -27,11 +27,12 @@
 src_unpack() {
 	unpack ${A}
 	cd "${S}"
-	# sed to avoid internal cfortran
+	# avoid internal cfortran
 	if use fortran; then
 		sed -i \
 			-e 's:"cfortran.h":<cfortran.h>:' \
 			f77_wrap.h || die "sed fortran failed"
+		mv cfortran.h cfortran.h.disabled
 	fi
 	epatch "${FILESDIR}"/${P}-autotools.patch
 	eautoreconf
@@ -58,8 +59,8 @@
 src_install () {
 	emake DESTDIR="${D}" install || die "emake install failed"
 	dodoc changes.txt README License.txt cfitsio.doc || die "dodoc failed"
-	insinto /usr/share/doc/${PF}
-	doins cookbook.c || die "install cookbook failed"
+	insinto /usr/share/doc/${PF}/examples
+	doins cookbook.c testprog.c speed.c smem.c || die "install examples failed"
 	use doc && dodoc cfitsio.ps quick.ps
 	if use fortran; then
 		doins cookbook.f || die "install cookbook failed"



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in sci-libs/cfitsio/files: cfitsio-3.060-autotools.patch
Next by thread:
gentoo-x86 commit in media-tv/mythtv: ChangeLog mythtv-0.20.2_p15477.ebuild mythtv-0.21_pre15567.ebuild mythtv-0.21_pre15362.ebuild
Previous by date:
gentoo-x86 commit in sci-libs/cfitsio/files: cfitsio-3.060-autotools.patch
Next by date:
gentoo-x86 commit in xfce-base/xfce-mcs-plugins: ChangeLog xfce-mcs-plugins-4.4.2-r1.ebuild


Updated Oct 26, 2010

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.